local frame = CreateFrame('Frame')

frame.loot_ready = false
frame.loot_delay = 0.05
frame.loot_count = 0

frame:SetScript('OnUpdate', function(self, elapsed)
	if GetCVar("autoLootDefault") ~= "1" then
		return
	end

	if not self.elapsed then 
		self.elapsed = 0
	end
	sdlf.elapsed = self.elapsed + elapsed
	
	if not self.loot_ready then
		return
	end
	
	if self.loot_count > 50 then
		return
	end
	
	if self.elapsed < self.loot_delay then
		return
	end	

	local t = {
		['TradeSkillMaster_Destroying'] = 'TSMDestroyingFrame',
		['Easy_Obliterate'] = 'ObliterumForgeFrame'
	}
	for k, v in pairs(t) do
		if IsAddOnLoaded(k) and _G[v]:IsVisible() then
			self.loot_ready = false
			return
		end
	end
	
	self.elapsed = 0
	self.loot_count = self.loot_count + 1
	for i = GetNumLootItems(), 1, -1 do
		LootSlot(i)
	end
	
	if GetNumLootItems() == 0 then
		self.loot_ready = false
	end
end)

frame:RegisterEvent('LOOT_READY')
frame:SetScript('OnEvent', function(self, event)
	if event == 'LOOT_READY' then
		self.loot_ready = true
		self.loot_count = 0
	end
end